org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionHide

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionHide

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionHide
    extends PDAction

This represents a thread action that can be executed in a PDF document.

Author:
  Evgeniy Muravitskiy

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionHide()` Default Constructor
`PDActionHide(COSDictionary a)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getH()` A flag indicating whether to hide the annotation or show it
`COSBase` `getT()` The annotation or annotations to be hidden or shown
`void` `setH(boolean h)`
`void` `setT(COSBase t)`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionHide

    public PDActionHide()

Default Constructor

#### PDActionHide

    public PDActionHide(COSDictionary a)

Constructor

Parameters:
  `a` - the action dictionary

### Method Detail

#### getT

    public COSBase getT()

The annotation or annotations to be hidden or shown

Returns:
  The T entry of the specific thread action dictionary.

#### setT

    public void setT(COSBase t)

Parameters:
  `t` - annotation or annotations

#### getH

    public boolean getH()

A flag indicating whether to hide the annotation or show it

Returns:
  true if annotation is hidden

#### setH

    public void setH(boolean h)

Parameters:
  `h` - hide flag